System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Attribute System.AttributeUsage(System.AttributeTargets.All)

If a property on a control has ambient behavior, this attribute must be present. Ambient properties query their parent for their value, for example, a property or a property.

Typically, a visual designer uses the attribute to decide which value to persist for a property. This is usually a value that causes the property to get its value from another source. An example of an ambient value is as the ambient value for the property. If you have a control on a form and the property of the control is set to a different color than the property of the form, you can reset the property of the control to that of the form by setting the of the control to .

Specifies the value to pass to a property to cause the property to get its value from another source. This is known as ambience. This class cannot be inherited.

- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class, given a Boolean value for its value.

  The value of this attribute.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class, given an 8-bit unsigned integer for its value.

  The value of this attribute.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class, given a Unicode character for its value.

  The value of this attribute.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class, given a double-precision floating-point number for its value.

  The value of this attribute.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class, given a 16-bit signed integer for its value.

  The value of this attribute.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class, given a 32-bit signed integer for its value.

  The value of this attribute.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class, given a 64-bit signed integer for its value.

  The value of this attribute.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class, given an object for its value.

  The value of this attribute.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class, given a single-precision floating point number for its value.

  The value of this attribute.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class, given a string for its value.

  The value of this attribute.
- Constructor
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  To be added

  Initializes a new instance of the class, given the value and its type.

  The of the parameter.
  The value for this attribute.
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added

  Determines whether the specified is equal to the current .

  true if the specified is equal to the current ; otherwise, false.

  The to compare with the current .
- Method
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Int32 To be added

  Returns the hash code for this instance.

  A hash code for the current .

- Property
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Object To be added: an object of type 'object' To be added

  Gets the object that is the value of this .